<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/order/dt_rgvtaskinfo_hty.js此处编写
 -->
<template>
  <div>
    <view-grid
      ref="grid"
      :columns="columns"
      :detail="detail"
      :editFormFields="editFormFields"
      :editFormFileds="editFormFields"
      :editFormOptions="editFormOptions"
      :searchFormFields="searchFormFields"
      :searchFormFileds="searchFormFields"
      :searchFormOptions="searchFormOptions"
      :table="table"
      :extend="extend"
    >
    </view-grid>
  </div>
</template>

<script>
import extend from "@/extension/taskinfo/dt_rgvtaskinfo_hty.js";
import ViewGrid from "@/components/basic/ViewGrid.vue";
var vueParam = {
  components: {
    ViewGrid,
  },
  data() {
    return {
      table: {
        key: "rgvtask_id",
        footer: "Foots",
        cnName: "RGV任务队列信息历史",
        name: "dt_rgvtaskinfo_hty",
        url: "/dt_rgvtaskinfo_hty/",
        sortName: "rgvtask_createtime",
      },
      extend: extend,
      editFormFields: {},
      editFormOptions: [],
      searchFormFields: { rgvtask_tasknumber: "", rgvtask_rgver: "" },
      searchFormOptions: [
        [
          { title: "RGV", field: "rgvtask_rgver", type: "like" },
          { title: "任务号", field: "rgvtask_tasknumber", type: "like" },
        ],
      ],
      columns: [
        {
          field: "rgvtask_id",
          title: "主键",
          type: "guid",
          width: 90,
          hidden: true,
          readonly: true,
          require: true,
          align: "left",
        },
        {
          field: "rgvtask_areid",
          title: "库区id",
          type: "string",
          width: 120,
          require: true,
          align: "left",
          sortable: true,
          hidden: true,
        },
        {
          field: "rgvtask_tasknumber",
          title: "任务号",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "rgvtask_worktype",
          title: "工作类型",
          type: "int",
          width: 90,
          align: "left",
          hidden: true,
        },
        {
          field: "rgvtask_type",
          title: "任务类型",
          type: "string",
          width: 120,
          align: "left",
          bind: { key: "task_type", data: [] },
        },
        {
          field: "rgvtask_state",
          title: "任务状态",
          type: "string",
          width: 120,
          require: true,
          align: "left",
           bind: { key: "task_state", data: [] },
        },
        {
          field: "rgvtask_rgv",
          title: "RGV编号",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "rgvtask_barcode",
          title: "托盘号",
          type: "string",
          width: 90,
          align: "left",
        },
        {
          field: "rgvtask_sourceaddress",
          title: "源地址",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "rgvtask_targetaddress",
          title: "目标地址",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "rgvtask_dispatchertime",
          title: "调度开始时间",
          type: "datetime",
          width: 150,
          align: "left",
          sortable: true,
        },
        {
          field: "rgvtask_requestkey",
          title: "来源主键",
          type: "string",
          width: 120,
          require: true,
          align: "left",
          hidden: true
        },
        {
          field: "rgvtask_grade",
          title: "执行等级",
          type: "int",
          width: 90,
          align: "left",
        },
        {
          field: "rgvtask_creator",
          title: "创建者",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "rgvtask_createtime",
          title: "创建时间",
          type: "datetime",
          width: 150,
          require: true,
          align: "left",
          sortable: true,
        },
        {
          field: "rgvtask_operatetype",
          title: "操作类型",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "rgvtask_compeletor",
          title: "操作者",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "rgvtask_sourceid",
          title: "原表头id",
          type: "string",
          width: 120,
          require: true,
          align: "left",
          hidden: true
        },
      ],
      detail: {
        cnName: "#detailCnName",
        columns: [],
        sortName: "",
        key: "",
      },
    };
  },
};
export default vueParam;
</script>
